NP_cles()

12345678910111213141516171819202122232425262728293031

NP_Paint v1.15

 
投稿者:hsur 投稿日時:2006-11-26 - 16:04
カテゴリー:Plug-in - - トラックバック(0)- Views: 274

セキュリティに問題のあるコードの改善を行いました。

v1.14以前のバージョンにはCSRF攻撃に対する脆弱性が存在します。この問題についてはNP_0TicketForPluginで解決することもできますが、このバージョンでは独自に対策を行っています。

ダウンロードはこちら
[NP_Paint v1.15 (UTF-8&EUC対応)][235clicks]

新しいバージョンであるNP_Paint v1.16をリリースしています。
v1.13以前のバージョンからのアップグレードの際には、管理画面から旧バージョンをアンインストールし、新バージョンをインストールする必要があります。アンインストールを行わなかった場合画像が投稿できませんのでご注意ください。

動作確認はNucleus 3.24(UTF-8)、PHP 4.4.4環境で行っています。
動作確認報告、バグ報告はこのエントリへ、コメント・トラックバックをお願いします。

[Added] Ticket処理を追加(CSRF対策)

CSRF攻撃に対する脆弱性について対策を行いました。
この問題についてはNP_0TicketForPluginで解決することもできます。

    このエントリは役に立ちましたか?

         

    トラックバックについて [policy]

    Trackback URL:
    Trackbacks
    このエントリにトラックバックはありません

    Comments [policy]

    No comments yet

    Add Comments

    コメントは承認後の表示となります。
    OpenIDでログインすると、即時に公開されます。

    OpenID を使ってログインすることができます。

    Identity URL: Yahoo! JAPAN IDでログイン